Package be.fgov.ehealth.dics.protocol.v5

# Class HasActualComponentWithType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.HasActualComponentWithType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class HasActualComponentWithType extends Object implements Serializable

Java class for HasActualComponentWithType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HasActualComponentWithType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice minOccurs="0">
               <element name="PharmaceuticalFormCode" type="{urn:be:fgov:ehealth:dics:protocol:v5}StandardFormCodeCriterionType"/>
               <element name="PharmaceuticalFormName" type="{urn:be:fgov:ehealth:dics:protocol:v5}StandardFormNameCriterionType"/>
             </choice>
             <choice minOccurs="0">
               <element name="RouteOfAdministrationCode" type="{urn:be:fgov:ehealth:dics:protocol:v5}StandardRouteCodeCriterionType"/>
               <element name="RouteOfAdministrationName" type="{urn:be:fgov:ehealth:dics:protocol:v5}StandardRouteNameCriterionType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HasActualComponentWithType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StandardFormCodeCriterionType`
  `getPharmaceuticalFormCode()`
  Gets the value of the pharmaceuticalFormCode property.
  `StandardFormNameCriterionType`
  `getPharmaceuticalFormName()`
  Gets the value of the pharmaceuticalFormName property.
  `StandardRouteCodeCriterionType`
  `getRouteOfAdministrationCode()`
  Gets the value of the routeOfAdministrationCode property.
  `StandardRouteNameCriterionType`
  `getRouteOfAdministrationName()`
  Gets the value of the routeOfAdministrationName property.
  `void`
  `setPharmaceuticalFormCode(StandardFormCodeCriterionType value)`
  Sets the value of the pharmaceuticalFormCode property.
  `void`
  `setPharmaceuticalFormName(StandardFormNameCriterionType value)`
  Sets the value of the pharmaceuticalFormName property.
  `void`
  `setRouteOfAdministrationCode(StandardRouteCodeCriterionType value)`
  Sets the value of the routeOfAdministrationCode property.
  `void`
  `setRouteOfAdministrationName(StandardRouteNameCriterionType value)`
  Sets the value of the routeOfAdministrationName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HasActualComponentWithType

    public HasActualComponentWithType()

- ## Method Details

  - ### getPharmaceuticalFormName

    public StandardFormNameCriterionType getPharmaceuticalFormName()
    Gets the value of the pharmaceuticalFormName property.
    Returns:
      possible object is `StandardFormNameCriterionType`

  - ### setPharmaceuticalFormName

    public void setPharmaceuticalFormName(StandardFormNameCriterionType value)
    Sets the value of the pharmaceuticalFormName property.
    Parameters:
      `value` - allowed object is `StandardFormNameCriterionType`

  - ### getPharmaceuticalFormCode

    public StandardFormCodeCriterionType getPharmaceuticalFormCode()
    Gets the value of the pharmaceuticalFormCode property.
    Returns:
      possible object is `StandardFormCodeCriterionType`

  - ### setPharmaceuticalFormCode

    public void setPharmaceuticalFormCode(StandardFormCodeCriterionType value)
    Sets the value of the pharmaceuticalFormCode property.
    Parameters:
      `value` - allowed object is `StandardFormCodeCriterionType`

  - ### getRouteOfAdministrationName

    public StandardRouteNameCriterionType getRouteOfAdministrationName()
    Gets the value of the routeOfAdministrationName property.
    Returns:
      possible object is `StandardRouteNameCriterionType`

  - ### setRouteOfAdministrationName

    public void setRouteOfAdministrationName(StandardRouteNameCriterionType value)
    Sets the value of the routeOfAdministrationName property.
    Parameters:
      `value` - allowed object is `StandardRouteNameCriterionType`

  - ### getRouteOfAdministrationCode

    public StandardRouteCodeCriterionType getRouteOfAdministrationCode()
    Gets the value of the routeOfAdministrationCode property.
    Returns:
      possible object is `StandardRouteCodeCriterionType`

  - ### setRouteOfAdministrationCode

    public void setRouteOfAdministrationCode(StandardRouteCodeCriterionType value)
    Sets the value of the routeOfAdministrationCode property.
    Parameters:
      `value` - allowed object is `StandardRouteCodeCriterionType`